{% extends "logged_in.html" %}
{% load trello %}
{% load fontawesome_5 %}

{% block content %}
    <h1>Trello integration</h1>

    <h2>User</h2>
    {% if token %}
        <table class="table">
            <tr><th>Name</th><td>{{ token.me.full_name }}</td></tr>
            <tr><th>Icon</th><td><img src="{{ token.me.avatar_url }}" class="profile-pic"/></td></tr>
            <tr><th>Username</th><td><a href="{{ token.me.url }}">{{ token.me.username }}</td></tr>
            <tr><th>Actions</th><td>
                <ul class="buttons">
                    <li><a href="{% url "trello:disconnect" %}">{% fa5_icon "trash-alt" "fas" %} Disconnect</a></li>
                </ul>
            </td></tr>
        </table>
    {% else %}
        <ul class="buttons compact-buttons">
            <li><a href="{% trello_authorize_url "trello:connect" %}">{% fa5_icon "plug" "fas" %} Connect</a></li>
        </ul>
    {% endif %}


    {% if token %}
        <h2>Boards</h2>
        <ul class="cardlist-small">
            {% for board in token.me.boards %}
                <li class="card {{ board.background_brightness }}" style="background-color: {{ board.background_color }};">
                    <div>
                        {% if board.starred %}
                            {% fa5_icon "star" "far" %}
                        {% endif %}
                        <a href="{{ board.url }}">{{ board.name }}</a>
                    </div>
                </li>
            {% endfor %}
        </ul>
    {% endif %}
{% endblock %}

